
%define         scintilla_ver   1.71

Name:	        qscintilla 
Version:        1.7
Release:        0.1%{?dist}
Summary:        A Scintilla port to Qt

License:        GPL
Group:          Development/Tools
Url:            http://www.riverbankcomputing.co.uk/qscintilla/
Source0:	http://www.riverbankcomputing.com/Downloads/QScintilla1/QScintilla1-%{scintilla_ver}-gpl-%{version}.tar.gz
Patch1:         qscintilla-1.61-gpl-1.4-designer-incpath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel 

%global qt_dir  %(pkg-config qt-mt --variable=prefix 2>/dev/null || echo %{_libdir}/qt-3.3)
%global qt_lib  %(pkg-config qt-mt --variable=libdir 2>/dev/null || echo %{qt_dir}/lib)
%global qt_inc  %(pkg-config qt-mt --variable=includedir 2>/dev/null || echo %{qt_dir}/include)

%description
QScintilla is a port or Scintilla to the Qt GUI toolkit from Trolltech 
and runs on any operating system supported by Qt (eg. Windows, UNIX/Linux, 
MacOS/X).  Qt v3 or later is required.

This version of QScintilla is based on Scintilla v%{scintilla_ver}.


%package designer
Summary:        QScintilla designer plugin 
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:       qt-designer
%description designer
QScintillla designer plugin.


%package devel
Summary:        QScintilla Development Files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       qt-devel
%description devel
These are the development files for QScintilla, needed to build against
QScintilla.


%prep
%setup -q -n QScintilla1-%{scintilla_ver}-gpl-%{version}

%patch1 -p1 -b .designer-incpath

# fixups to support RPM_BUILD_ROOT/DESTDIR
sed -i "s/^DESTDIR = \$(QTDIR)/DESTDIR = \$(INSTALL_ROOT)\$(QTDIR)/" */*.pro

# fix permissions on doc files
find doc example -type f -exec chmod 0644 {} ';'


%build
pushd qt
qmake qscintilla
echo 'build: $(UICDECLS) $(OBJECTS) $(OBJMOC) $(SUBLIBS) $(OBJCOMP)' >> Makefile
make %{?_smp_mflags} build
popd

pushd designer
qmake designer
echo 'build: $(UICDECLS) $(OBJECTS) $(OBJMOC) $(SUBLIBS) $(OBJCOMP)' >> Makefile
make %{?_smp_mflags} build
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd qt
make install INSTALL_ROOT=$RPM_BUILD_ROOT
popd
pushd designer
make INSTALL_ROOT=$RPM_BUILD_ROOT
popd


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE NEWS README
%{qt_lib}/lib*.so.*
%{qt_dir}/translations/*

%files designer
%defattr(-,root,root,-)
%{qt_dir}/plugins/designer/*

%files devel
%defattr(-,root,root,-)
%doc doc/html doc/Scintilla example
%{qt_lib}/lib*.so
%{qt_inc}/*


%changelog
* Mon Nov 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> - 1.7-0.1
- qscintilla-1.71-gpl-1.7

* Wed Sep 14 2005 Konstantin Ryabitsev <icon@linux.duke.edu> - 1.6-3
- Fix permissions in prep, not in install.

* Tue Sep 13 2005 Konstantin Ryabitsev <icon@linux.duke.edu> - 1.6-2
- Fix permissions on doc files to be 0644.

* Sun Sep 11 2005 Konstantin Ryabitsev <icon@linux.duke.edu> 1.6-1
- Update to 1.65-gpl-1.6
- Use the patch from Aurelien Bompard to build sanely in buildroot
- Include docs and examples for the -devel package

* Sat Aug 27 2005 Konstantin Ryabitsev <icon@linux.duke.edu> 1.5.1-1
- Adapt for Fedora Extras
- Drop 0-Epoch
- Make specfile simpler
- Move .so to devel

* Mon Mar 09 2005 Rex Dieter 0:1.5.1-0.0.kde
- 1.5.1

* Thu Sep 16 2004 Rex Dieter <rexdieter at sf.net> 0:1.4-0.1.kde
- updated designer-incpath patch: don't require an already installed
  qscintilla-devel
- BuildConflicts: qscintilla-devel != %%version

* Thu Sep 16 2004 Rex Dieter <rexdieter at sf.net> 0:1.4-0.0.kde
- 1.4
- include designer plugin
- Prereq: %%qtdir

* Fri May 28 2004 Rex Dieter <rexdieter at sf.net> 0:1.3-0.fdr.0
- 1.3

* Thu Mar 11 2004 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.6
- dynamically determine version for qt dependency.

* Wed Mar 10 2004 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.5
- (re)build against qt-3.3.1

* Wed Dec 03 2003 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.4
- remove extraneous macros
- (re)build against qt-3.2.3

* Mon Nov 10 2003 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.3
- (re)build against qt-3.2.2

* Wed Sep 17 2003 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.2
- use Epoch's in Requires

* Tue Aug 19 2003 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.1
- 1.2

